# Uses of Class
com.microsoft.sqlserver.jdbc.SQLServerDataColumn

Packages that use SQLServerDataColumn
Package
Description
com.microsoft.sqlserver.jdbc

## Uses of SQLServerDataColumn in com.microsoft.sqlserver.jdbc

Methods in com.microsoft.sqlserver.jdbc that return types with arguments of type SQLServerDataColumn
Modifier and Type
Method
Description
`Map<Integer,SQLServerDataColumn>`
SQLServerDataTable.`getColumnMetadata()`
Returns the `java.util.Map` object type of columnMetaData for all columns where column indexes are mapped with their respective `SQLServerDataColumn` Java object.
Methods in com.microsoft.sqlserver.jdbc with parameters of type SQLServerDataColumn
Modifier and Type
Method
Description
`void`
SQLServerDataTable.`addColumnMetadata(SQLServerDataColumn column)`
Adds meta data for the specified column.